﻿:root {
    /* Format: top right bottom left (Clockwise) */

    --prelogin-layout-min-width: 864px;
    --prelogin-textContent-font-size: 48px;
    --prelogin-textContent-line-height: 110%;
    --prelogin-trsRetireContentNew-padding: var(--page-gutter);
    --prelogin-heroBanner-height: 220px;
    --paddingLeft: 96px;
}

.prelogin-content {
    display: flex;
    max-height: 220px;
    padding: 24px;
    padding-left: 0;
    flex-direction: column;
    align-items: flex-start;
    flex: 1 1 auto !important; /* Allow growth AND shrinking, but start at auto-size */
    width: 100% !important;
    min-width: 0;
}
.prelogin-image-div {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    flex: 1 1 auto !important; /* Allow growth AND shrinking, but start at auto-size */
    width: 100% !important;
    min-width: 0;
}

.prelogin-responsiveFrame {
    display: flex;
    height: 220px;
    padding: 32px 0;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
}
.prelogin-layout {
    min-width: 100%; /* Force it to fill the parent */
    flex-shrink: 0; /* Prevents the flex parent from squishing it to 0px */

    width: 100%;
    height: 220px;
    background: url(../Images/banner-aud-prelogin.jpg);
    background-size: cover;
    background-position: center;
    filter: contrast(1.05);
    clip-path: polygon(0 20%, 100% 0, 100% 100%, 0 80%);
    display: block;
    min-height: 220px;
    min-width:var(--prelogin-layout-min-width);
}
.prelogin-layout ::before {
    transform: scaleX(-1); /* Flips only the image */
}
.prelogin-textContent {
    align-self: stretch;
    color: var(--Base-Pure-White, var(--color-Neutral-White-000, #FFF));
    font-feature-settings: 'liga' off, 'clig' off;
    /* 💯 Desktop/Heading/Heading L */
    font-family: "Forever Forma Heading";
    font-size: var(--prelogin-textContent-font-size);
    font-style: normal;
    font-weight: 400;
    line-height: var(--prelogin-textContent-line-height);
}
/* Full-width container with two equal columns */
.prelogin-div {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    height: var(--prelogin-heroBanner-height);
    max-height: 220px;
    align-content: center;
    justify-content: space-around;
    padding: 0 var(--page-gutter);
}

.forgotUserContent {
    position: relative;
    width: 100%;
    margin: 0 auto;
    padding: var(--paddingLeft);
}
.login-tittle-div {
    align-content: center;
    align-items: flex-start;
    padding: 32px 24px 32px 0;
}

@media screen and (min-width: 1920px) {

    .prelogin-shape {
        display: flex;
        height: 220px;
        justify-content: center;
        align-items: center;
        align-self: stretch;
    }

    .prelogin-textContent .page-title {
        max-width: 70ch; /* approx 70 characters */
    }

}

@media screen and (min-width: 1440px) and (max-width: 1919px) {
    .prelogin-layout {
        --prelogin-layout-min-width:648px;
    }
        .prelogin-content {
        --prelogin-main-padding: 0 24px 0 72px;
    }
    .prelogin-image-div {
        --prelogin-image-padding-right: 72px;
    }
    .forgotUserContent {
        --paddingLeft: 72px;
    }

    .login-image-div {
        display: flex;
        padding-right: 72px;
        flex-direction: column;
        gap: 10px;
        justify-content: center;
        align-self: stretch;
    }

    .page-title {
        max-width: 52ch; /* approx 52 characters */
    }
}

@media screen and (min-width: 960px) and (max-width: 1439px) {
    .prelogin-layout {
        --prelogin-layout-min-width: 408px;
    }
   
    .prelogin-content {
        --prelogin-main-padding: 0 24px 0 48px;
    }

    .prelogin-image-div {
        --prelogin-image-padding-right: 48px;
    }

    .forgotUserContent {
        --paddingLeft: 48px;
    }
}

@media screen and (min-width: 601px) and (max-width: 959px) {
    .prelogin-div {
        grid-template-columns: 1fr !important; 
      --prelogin-heroBanner-height: 110px;
    }

    .prelogin-image-div {
        display: none !important; /*Removes element from the layout*/
    }

    .prelogin-layout {
        --prelogin-layout-min-width: 0px;
    }
   
    .prelogin-content {
     --prelogin-main-padding: 0 24px 0 30px;
    }

    .prelogin-textContent {
        --prelogin-textContent-line-height: 120%;
        --prelogin-textContent-font-size: 26px;
    }

    .forgotUserContent {
        --paddingLeft: 30px;
    }
	.sec-cover {
		width: 90%;
	}
	/*newly adde*/
	/* 1. The Main Container - Acts like the Table */
	    /* 1. Prevent the heading from pushing the screen wide */
}

@media screen and (min-width: 375px) and (max-width: 600px) {
    .prelogin-div {
        grid-template-columns: 1fr !important;
        --prelogin-heroBanner-height: 110px;
    }

    .prelogin-image-div {
        display: none !important; /*Removes element from the layout*/
    }

    .prelogin-layout {
        --prelogin-layout-min-width: 0px;
    }
 .prelogin-content {
     --prelogin-main-padding: 0 24px 0 30px;
 }

    .prelogin-textContent {
        --prelogin-textContent-line-height: 120%;
        --prelogin-textContent-font-size: 26px;
    }
    .forgotUserContent {
         --paddingLeft: 30px;
    }
	
	
		
}

:root {
    --Base-Pure-White: #FFFFFF; /* pure white */
    --color-Neutral-White-000: #FFFFFF; /* neutral white */
    --Base-Black: #000000; /* pure black */
    --color-Neutral-Gray-100: #F5F5F5; /* light gray */
    --color-Neutral-Gray-200: #E0E0E0; /* slightly darker gray */
}

.prelogin-shape {
    display: flex;
    height: 220px;
    justify-content: center;
    align-items: center;
    align-self: stretch;
}

/* Post Login */
.postlogin-div {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0;
    height: 110px;
    max-height: 220px;
    align-content: center;
    padding: 0 var(--page-gutter);
}
.postlogin-image {
    min-width: 648px;
    min-height: 220px;
    max-height: 220px;
    width: 100%;
    height: 100%;
}
.postlogin-div:has(img) {
    height: 220px;
}

.postlogin-content {
    display: flex;
    width: 746px;
    padding: 8px 0;
    flex-direction: column;
    align-items: flex-start;
    gap: 4px;
    color: var(--Base-Pure-White, var(--color-Neutral-White-000, #FFF));
    font-feature-settings: 'liga' off, 'clig' off;
    font-family: "Forever Forma Heading", Arial, sans-serif;
    font-size: 48px;
    font-style: normal;
    font-weight: 400;
    line-height: 110%; /* 52.8px */
    width: 100%;
}


.prelogin-image {
    width: 100%; /* Fill the container width */
    height: 220px; /* Match your container height */
    object-fit: cover; /* This crops the image instead of stretching it */
    object-position: center;
}



.shape {
    display: flex;
    justify-content: center;
    align-items: center;
    align-self: stretch;
}
.login-image-div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-self: stretch;
}

.layout {
    width: 100%;
    clip-path: polygon(0 20%, 100% 0, 100% 100%, 0 80%);
}

@media screen and (max-width: 1439px) {
    .prelogin-layout ::before {
        transform: scaleX(-1); /* Flips only the image */
    }
}
.hexagon-layout {
    width: 100%;
    height: 100%;
    /* clip-path: polygon(0 0, 100% 0, 100% 52%, 75% 100%, 25% 100%, 0 52%);*/
    clip-path: polygon(0 0, 100% 0, 100% 42%, 68% 100%, 29% 100%, 0 42%);
}

.postlogin-content [id$="UcAudienceBanner_titleLine1"] {
    font-size: 48px;
    font-style: normal;
    font-weight: 400;
    line-height: 110%; /* 52.8px */
}


/* Override when titleLine2 DOES exist within the same banner */
.postlogin-content:has([id$="titleLine2"]) [id$="titleLine1"] {
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%;
    color: var(--Base-Pure-White, var(--color-Neutral-White-000, #FFF));
    font-feature-settings: 'liga' off, 'clig' off;
    /* 💯 Desktop/Body/Body MD - Regular */
    font-family: "Forever Forma Body Text";
    text-transform: lowercase;
}

[id$="titleLine2"] {
    font-size: 36px;
    font-style: normal;
    font-weight: 400;
    line-height: 120%;
    color: var(--Base-Pure-White, var(--color-Neutral-White-000, #FFF));
    font-feature-settings: 'liga' off, 'clig' off;
    /* 💯 Desktop/Body/Body MD - Regular */
    font-family: "Forever Forma Body Text";
    text-transform: lowercase;
}

[id$="titleLine1"]::first-letter, [id$="titleLine2"]::first-letter {
    text-transform: uppercase;
}

.no-text-transform {
    text-transform: none !important;
}


